<?php

$lang = Vn\Lib\Locale::get();
$result = $db->query('SELECT name, content FROM metatag');

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=no"/>
		<meta name="mobile-web-app-capable" content="yes"/>
		<link rel="shortcut icon" href="image/favicon/favicon.ico"/>
		<link rel="apple-touch-icon" href="image/favicon/apple-touch-icon.png"/>
		<link rel="icon" type="image/png" href="image/favicon/favicon.png"/>
		<link rel="icon" type="image/svg+xml" href="image/icon.svg" sizes="any"/>
		<link rel="manifest" href="<?=$dir?>/manifest.json"/>
		<meta name="theme-color" content="#333333"/>
		<meta name="content-language" content="<?=$lang?>"/>
		
		<?php while ($row = $result->fetch_object()): ?>
		<meta name="<?=$row->name?>" content="<?=$row->content?>"/>
		<?php endwhile ?>

		<?php foreach (getWebpackAssets() as $js): ?>
		<script type="text/javascript" src="<?=$js?>"></script>
		<?php endforeach ?>

		<title>Verdnatura</title>
	</head>
	<body></body>
</html>
