
var htkRadioGroupUid = 0;

module.exports = new Class({
	Extends: Htk.Field
	,Tag: 'htk-radio-group'

	,initialize(props) {
		this.clear();
		Htk.Field.prototype.initialize.call(this, props);
	}
	
	,clear() {
		this.name = htkRadioGroupUid++;
		this.buttons = [];
	}
	
	,createButton(value) {
		var button = Vn.Browser.createRadio(this.name, this.doc);
		button.value = value;
		button.radioGroup = this;
		return button;
	}

	,removeButton(button) {
		for (var i = 0; i < this.buttons.length; i++)
			if (this.buttons === button) {
				this.buttons.splice(i, 1);
				break;
			}
	}

	/**
	 * @return %true if there is an option selected, otherwise it returns %false
	 */
	,isSelected() {
		for (var i = 0; i < this.buttons.length; i++)
			if (this.buttons[i].value == this.value)
				return true;

		return false;
	}
});
